Bug 1252784 - Review Request: python-wsgi_intercept - WSGI application tester
Review Request: python-wsgi_intercept - WSGI application tester
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-12 05:01 EDT by Chandan Kumar
Modified: 2015-10-07 12:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 12:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-08-12 05:01:02 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-wsgi-intercept.spec

SRPM URL: https://chandankumar.fedorapeople.org/python-wsgi_intercept-0.10.2-1.fc22.src.rpm

Description: It installs a WSGI application in place of a real URI for testing.
Testing a WSGI application normally involves starting a server at
a local host and port, then pointing your test code to that address.
Instead,this library lets you intercept calls to any specific host/port
combination and redirect them into a `WSGI application`_ importable by
your test program.

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10678649
Comment 1 Marcos 2015-09-02 09:12:48 EDT
Here is my informal review for my sponsorship process tracked at https://bugzilla.redhat.com/show_bug.cgi?id=1257178


Legend:
[ OK ] = Pass, [ X ] = Fail, [ - ] = Not applicable, [ ? ] = Not evaluated
[ M ] = Manual review needed

===== MUST items =====

[ ! ] rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
python-wsgi_intercept.src: W: summary-not-capitalized C wsgi_intercept installs a WSGI application in place of a real URI for testing
python-wsgi_intercept.src: E: invalid-spec-name
[ X ] The package must be named according to the Package Naming Guidelines.
I think the "_" is not allowed.
[ OK ] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[ OK ] The package must meet the Packaging Guidelines .
[ OK ] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[ OK ] The License field in the package spec file must match the actual license.
[ M ] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[ OK ] The spec file must be written in American English.
[ OK ] The spec file for the package MUST be legible.
[ ? ] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[ OK ] The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[ - ] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[ OK ] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[ ? ] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[ - ] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[ X ] Packages must NOT bundle copies of system libraries.
[ ? ] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[ OK ] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[ OK ] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[ OK ] Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[ OK ] Each package must consistently use macros.
[ OK ] The package must contain code, or permissible content.
[ - ] Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[ M ] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[ - ] Static libraries must be in a -static package. [19]
[ - ] Development files must be in a -devel package. [20]
[ - ] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[ OK ] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
[ - ] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[ OK ] Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[ OK ] All filenames in rpm packages must be valid UTF-8.

==== SHOULD items ====

[ OK ] If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[ - ] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[ ? ] The reviewer should test that the package builds in mock.
[ OK ] The package should compile and build into binary rpms on all supported architectures.
[ ? ] The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[ - ] If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[ - ] Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[ - ] The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
[ - ] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
[ X ] your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]


==== fedora-review command output ====

$ fedora-review -b 1252784
INFO: Processing bugzilla bug: 1252784
INFO: Getting .spec and .srpm Urls from : 1252784
INFO:   --> SRPM url: https://chandankumar.fedorapeople.org/python-wsgi_intercept-0.10.2-1.fc22.src.rpm
INFO:   --> Spec url: https://chandankumar.fedorapeople.org/python-wsgi-intercept.spec
...
INFO: Downloading .spec and .srpm files
error: line 6: Illegal char ':' in: Release:        1error:
Comment 3 Parag AN(पराग) 2015-09-18 13:55:00 EDT
1) you may want to Capitalize Summary start
2) Maybe you want test directory to be moved to say 
/usr/lib/python2.7/site-packages/wsgi_intercept

or the simple way is to exclude it from being packaged as
%files -n python2-%{pypi_name}
%doc README
%license LICENSE
%{python2_sitelib}/%{pypi_name}*
%exclude %{python2_sitelib}/test

%if 0%{with_python3}
%files -n python3-%{pypi_name}
%doc README
%license LICENSE
%{python3_sitelib}/%{pypi_name}*
%exclude %{python3_sitelib}/test
%endif

3) There are some ImportError traceback in build.log which should be fixed. Just add following just before sphinx command execution

export PYTHONPATH="$( pwd ):$PYTHONPATH"


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 15 files have unknown license. Detailed
     output of licensecheck in /home/parag/1252784-python-
     wsgi_intercept/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/test(zanata-python-client)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-wsgi_intercept , python-wsgi_intercept-doc ,
     python3-wsgi_intercept
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
    architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-wsgi_intercept-0.10.3-1.fc24.noarch.rpm
          python-wsgi_intercept-doc-0.10.3-1.fc24.noarch.rpm
          python3-wsgi_intercept-0.10.3-1.fc24.noarch.rpm
          python-wsgi_intercept-0.10.3-1.fc24.src.rpm
python2-wsgi_intercept.noarch: W: spelling-error Summary(en_US) wsgi -> swig, wigs, newsgirl
python2-wsgi_intercept.noarch: W: summary-not-capitalized C wsgi_intercept installs a WSGI application in place of a real URI for testing
python-wsgi_intercept-doc.noarch: W: spelling-error Summary(en_US) wsgi -> swig, wigs, newsgirl
python-wsgi_intercept-doc.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python3-wsgi_intercept.noarch: W: spelling-error Summary(en_US) wsgi -> swig, wigs, newsgirl
python3-wsgi_intercept.noarch: W: summary-not-capitalized C wsgi_intercept installs a WSGI application in place of a real URI for testing
python-wsgi_intercept.src: W: spelling-error Summary(en_US) wsgi -> swig, wigs, newsgirl
python-wsgi_intercept.src: W: summary-not-capitalized C wsgi_intercept installs a WSGI application in place of a real URI for testing
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python3-wsgi_intercept.noarch: W: summary-not-capitalized C wsgi_intercept installs a WSGI application in place of a real URI for testing
python3-wsgi_intercept.noarch: W: invalid-url URL: http://pypi.python.org/pypi/wsgi_intercept <urlopen error [Errno -5] No address associated with hostname>
python-wsgi_intercept-doc.noarch: W: invalid-url URL: http://pypi.python.org/pypi/wsgi_intercept <urlopen error [Errno -5] No address associated with hostname>
python2-wsgi_intercept.noarch: W: summary-not-capitalized C wsgi_intercept installs a WSGI application in place of a real URI for testing
python2-wsgi_intercept.noarch: W: invalid-url URL: http://pypi.python.org/pypi/wsgi_intercept <urlopen error [Errno -5] No address associated with hostname>
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
python3-wsgi_intercept (rpmlib, GLIBC filtered):
    python(abi)
    python3-setuptools

python-wsgi_intercept-doc (rpmlib, GLIBC filtered):

python2-wsgi_intercept (rpmlib, GLIBC filtered):
    python(abi)
    python-setuptools



Provides
--------
python3-wsgi_intercept:
    python3-wsgi_intercept

python-wsgi_intercept-doc:
    python-wsgi_intercept-doc

python2-wsgi_intercept:
    python-wsgi_intercept
    python2-wsgi_intercept



Source checksums
----------------
https://pypi.python.org/packages/source/w/wsgi_intercept/wsgi_intercept-0.10.3.tar.gz :
  CHECKSUM(SHA256) this package     : 19406458175da02999f228b4abbdd68561dd22abe0088228ae6171cf1464ce77
  CHECKSUM(SHA256) upstream package : 19406458175da02999f228b4abbdd68561dd22abe0088228ae6171cf1464ce77
Comment 4 Chandan Kumar 2015-09-21 04:53:52 EDT
Thanks Parag for the review.

Below is the updated 
SPEC: https://chandankumar.fedorapeople.org/python-wsgi_intercept.spec
SRPM: https://chandankumar.fedorapeople.org/python-wsgi_intercept-0.10.3-2.fc22.src.rpm
Comment 5 Parag AN(पराग) 2015-09-22 05:31:43 EDT
Just looking into spec file above update looks good to me.

APPROVED.
Comment 6 Chandan Kumar 2015-09-22 10:00:21 EDT
New Package SCM Request
=======================
Package Name: python-wsgi_intercept
Short Description: wsgi_intercept installs a WSGI application in place of a real URI for testing
Upstream URL: https://github.com/cdent/wsgi-intercept
Owners: chandankumar
Branches: f23
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-22 13:57:48 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-09-23 06:59:49 EDT
python-wsgi_intercept-0.10.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16497
Comment 9 Fedora Update System 2015-09-23 23:32:14 EDT
python-wsgi_intercept-0.10.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-wsgi_intercept'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16497
Comment 10 Fedora Update System 2015-10-07 12:36:39 EDT
python-wsgi_intercept-0.10.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.